# Sora 2 Pro

## sora-2-pro-text-to-video

> Text-to-video endpoint for Sora 2 Pro, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"sora-2-pro"}],"servers":[{"url":"https://video.onerouter.pro","description":"video"}],"security":[],"paths":{"/v1/videos/generations":{"post":{"summary":"sora-2-pro-text-to-video","deprecated":false,"description":"Text-to-video endpoint for Sora 2 Pro, OpenAI's state-of-the-art video model capable of creating richly detailed, dynamic clips with audio from natural language or images.","tags":["sora-2-pro"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"resolution":{"type":"string","description":"The resolution of the generated video Default value: `\"1080p\"`\n\nPossible enum values: `720p`, `1080p`","enum":["720p","1080p"],"default":"1080p"},"aspect_ratio":{"type":"string","description":"The aspect ratio of the generated video Default value: `\"16:9\"`\n\nPossible enum values: `9:16`, `16:9`","enum":["16:9","9:16"],"default":"16:9"},"duration":{"type":"string","description":"Duration of the generated video in seconds Default value: `\"4\"`\n\nPossible enum values: `4`, `8`, `12`","enum":["4","8","12"],"default":"4"},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"revised_prompt":{"type":"string"},"video_id":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
